Bug 1779609 - Revert free memory patch from net-snmp
Summary: Revert free memory patch from net-snmp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: net-snmp
Version: 7.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Josef Ridky
QA Contact: David Jež
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 11:14 UTC by dbodnarc
Modified: 2020-08-24 14:05 UTC (History)
7 users (show)

Fixed In Version: net-snmp-5.7.2-47.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 19:54:54 UTC
Target Upstream Version:
ovasik: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4963061 0 None None None 2020-04-04 00:11:19 UTC
Red Hat Product Errata RHSA-2020:1081 0 None None None 2020-03-31 19:54:59 UTC

Internal Links: 1766521

Description dbodnarc 2019-12-04 11:14:31 UTC
Description of problem:
Last release, we have implemented our downstream patch, that fixes issue with different values produced by free utility and net-snmp (BZ#1250060).

Due net-snmp upstream didn't accepted this change and kept it's old way of providing data about free memory available, our version of net-snmp become incompatible with upstream one and it negatively affected our customers.

Due of it I propose to update our net-snmp package to be aligned with upstream version in this particular case.


Version-Release number of selected component (if applicable):
net-snmp-5.7.2-43.el7

Comment 6 Dave Wysochanski 2019-12-05 14:27:19 UTC
As far as I understand, this is the change needed to be reverted:
https://sourceforge.net/p/net-snmp/code/ci/ef6db67f708f6590fb9d2797022ca1d957c89073

From https://bugzilla.redhat.com/show_bug.cgi?id=1250060#c31

Explanation of why: https://bugzilla.redhat.com/show_bug.cgi?id=1250060#c35

Comment 11 bofo13 2020-01-22 20:01:23 UTC
Bug #1794168 seems related to this.

Comment 14 errata-xmlrpc 2020-03-31 19:54:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1081


Note You need to log in before you can comment on or make changes to this bug.